Name:       satellite-clone
Version:    3.1.1
Release:    1%{?dist}
Summary:    Tool to install and restore a functioning Satellite from backup
Source0:    https://codeload.github.com/RedHatSatellite/satellite-clone/tar.gz/%{version}#/%{name}-%{version}.tar.gz
Group:      System Environment/Base
License:    LGPLv3
URL:        https://github.com/RedHatSatellite/satellite-clone
%if 0%{?rhel} == 7
Requires: ansible >= 2.9
Requires: python
%else
Requires: (ansible >= 2.9 or ansible-core)
%endif
BuildArch:  noarch

%description
This package will install Satellite and restore content from a backup.
It is meant to be used on a blank (clean install) RHEL 7 machine.

%prep

%setup -q

%build
gzip -f9 man/satellite-clone.1

%install
mkdir -p %{buildroot}/%{_datadir}/satellite-clone
mkdir -p %{buildroot}/%{_sysconfdir}/satellite-clone
mkdir -p %{buildroot}/%{_localstatedir}/log/satellite-clone
mkdir -p %{buildroot}/%{_mandir}/man1
cp -r * %{buildroot}/%{_datadir}/satellite-clone
rm -rf %{buildroot}/%{_datadir}/satellite-clone/bin
cp %{buildroot}/%{_datadir}/satellite-clone/satellite-clone-vars.sample.yml %{buildroot}/%{_sysconfdir}/satellite-clone/satellite-clone-vars.yml
ln -sf %{_sysconfdir}/satellite-clone/satellite-clone-vars.yml %{buildroot}/%{_datadir}/satellite-clone/satellite-clone-vars.yml
mkdir -p %{buildroot}%{_sbindir}
cp bin/satellite-clone %{buildroot}%{_sbindir}/satellite-clone
install -m 644 man/satellite-clone.1.gz %{buildroot}/%{_mandir}/man1

%if 0%{?rhel} > 7
  sed -i 's|#!/usr/bin/env python|#!/usr/bin/python3.8|g' %{buildroot}/%{_sbindir}/satellite-clone
%endif

%files
%defattr(-,root,root,-)
%{_datadir}/satellite-clone/*
%config %{_sysconfdir}/satellite-clone/satellite-clone-vars.yml
%attr(750, root, root) %{_sbindir}/satellite-clone
%attr(755, root, root) %{_localstatedir}/log/satellite-clone
%doc LICENSE
%{_mandir}/man1/satellite-clone.1*
%exclude %{_datadir}/docs/

%changelog
* Mon Jul 04 2022 Evgeni Golov - 3.1.1-1
- Release satellite-clone 3.1.1

* Mon May 23 2022 Evgeni Golov - 3.1.0-2
- BZ#2089361 - fix shebang on EL8

* Tue Apr 05 2022 Evgeni Golov - 3.1.0-1
- Release satellite-clone 3.1.0

* Tue Mar 08 2022 Zach Huntington-Meath <zhunting@redhat.com> - 3.0.0-1
- Release satellite-clone 3.0.0

* Wed Jun 16 2021 Odilon Sousa <osousa@redhat.com> - 2.0.3-1
- Release satellite-clone 2.0.3

* Tue Mar 16 2021 Patrick Creech <pcreech@redhat.com> - 2.0.2-1
- Release satellite-clone 2.0.2

* Wed Jan 13 2021 Patrick Creech <pcreech@redhat.com> - 2.0.1-1
- Release satellite-clone 2.0.1

* Tue Jan 12 2021 Patrick Creech <pcreech@redhat.com> - 2.0.0-1
- Release satellite-clone 2.0.0

* Tue Oct 27 2020 Evgeni Golov - 1.6.2-1
- Release satellite-clone 1.6.2

* Mon Sep 21 2020 Evgeni Golov - 1.6.1-1
- Release satellite-clone 1.6.1

* Thu Jun 25 2020 Patrick Creech <pcreech@redhat.com> - 1.6.0-1
- Release 1.6.0

* Mon Jun 08 2020 Eric D. Helms <ericdhelms@gmail.com> - 1.5.3-1
- Release 1.5.3

* Thu Jan 16 2020 John Mitsch <jomitsch@redhat.com> - 1.5.1-1
- satellite-clone 1.5.1 release

* Mon Nov 25 2019 John Mitsch <jomitsch@redhat.com> - 1.5.0-1
- satellite-clone 1.5.0 release

* Wed Jul 10 2019 John Mitsch <jomitsch@redhat.com> - 1.4.2-1
- satellite-clone 1.4.2 release

* Mon Jul 01 2019 Evgeni Golov - 1.4.1-1
- satellite-clone 1.4.1 release

* Tue Jun 04 2019 John Mitsch <jomitsch@redhat.com> - 1.4.0-1
- satellite-clone 1.4.0 release

* Wed Jan 16 2019 John Mitsch <jomitsch@redhat.com> - 1.3.1-1
- satellite-clone 1.3.1 release with puppet cert bugfix

* Fri Dec 07 2018 John Mitsch <jomitsch@redhat.com> - 1.3.0-1
- satellite-clone 1.3.0 with satellite 6.4 support

* Thu Aug 30 2018 Patrick Creech <pcreech@redhat.com> - 1.2.5-1
- satellite-clone 1.2.5

* Thu Aug 02 2018 John Mitsch <jomitsch@redhat.com> - 1.2.4-1
- satellite-clone 1.2.4

* Mon Jul 16 2018 Patrick Creech <pcreech@redhat.com> - 1.2.3-1
- satellite-clone 1.2.3

* Wed May 31 2017 jomitsch <jomitsch@redhat.com> 1.1.0-1
- Released 1.1.0
